# TdApi.ProfilePhoto (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ProfilePhoto

Package it.tdlight.jni

# Class TdApi.ProfilePhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ProfilePhoto

Enclosing class:
  TdApi

    public static class TdApi.ProfilePhoto
    extends TdApi.Object

Describes a user profile photo.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.File` | `big` | A big (640x640) user profile photo.
`static int` | `CONSTRUCTOR` |
`boolean` | `hasAnimation` | True, if the photo has animated variant.
`long` | `id` | Photo identifier; 0 for an empty photo.
`TdApi.Minithumbnail` | `minithumbnail` | User profile photo minithumbnail; may be null.
`TdApi.File` | `small` | A small (160x160) user profile photo.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ProfilePhoto()` | Describes a user profile photo.
`ProfilePhoto​(long id, TdApi.File small, TdApi.File big, TdApi.Minithumbnail minithumbnail, boolean hasAnimation)` | Describes a user profile photo.
`ProfilePhoto​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Photo identifier; 0 for an empty photo. Can be used to find a photo in a list of user profile photos.

### small

public TdApi.File small
A small (160x160) user profile photo. The file can be downloaded only before the photo is changed.

### big

public TdApi.File big
A big (640x640) user profile photo. The file can be downloaded only before the photo is changed.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
User profile photo minithumbnail; may be null.

### hasAnimation

public boolean hasAnimation
True, if the photo has animated variant.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ProfilePhoto

public ProfilePhoto()
Describes a user profile photo.

### ProfilePhoto

public ProfilePhoto​(long id, TdApi.File small, TdApi.File big, TdApi.Minithumbnail minithumbnail, boolean hasAnimation)
Describes a user profile photo.

Parameters:
  `id` - long Photo identifier; 0 for an empty photo. Can be used to find a photo in a list of user profile photos.
  `small` - File A small (160x160) user profile photo. The file can be downloaded only before the photo is changed.
  `big` - File A big (640x640) user profile photo. The file can be downloaded only before the photo is changed.
  `minithumbnail` - Minithumbnail User profile photo minithumbnail; may be null.
  `hasAnimation` - boolean True, if the photo has animated variant.

### ProfilePhoto

public ProfilePhoto​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`